Issue 122868

Summary: writer crash on pdf export from page preview
Product: Writer Reporter: Joe Smith <jes>
Component: codeAssignee: Oliver-Rainer Wittmann <orw>
Status: CLOSED FIXED QA Contact:
Severity: Normal    
Priority: P3 CC: fanyuzhen, issues, josef.latt, jsc, kschenk, larry.gusaas, oliver.brinzing, orw, r4zoli, rainerbielefeld_ooo_qa
Version: 4.0.0Keywords: crash, regression
Target Milestone: 4.0.1Flags: jsc: 4.0.1_release_blocker+
Hardware: All   
OS: All   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---

Description Joe Smith 2013-07-28 03:18:10 UTC
Steps to reproduce:

1) File > New > Text Document
2) File > Page Preview (preview window opens)
3) File > Export as PDF ... (or click toolbar pdf button)
4) Enter output file name
... crash, save & recovery

Testing
AOO400m3(Build:9702)  -  Rev. 1503704
2013-07-16 11:18:40 (Tue, 16 Jul 2013) - Linux i686

Crash reported for AOO 4 on Mac as well:

http://forum.openoffice.org/en/forum/viewtopic.php?p=279917#p279917
Comment 1 Daiwe01 2013-07-28 03:48:18 UTC
Confirmed on WinXP SP3
Comment 2 jolatt 2013-07-28 06:04:46 UTC
Confirming on Ubuntu 13.04 64bit
Comment 3 r4zoli 2013-07-28 08:30:29 UTC
I can confirm it under window 8 64 bit. Crash from print preview PDF ecxport.
Comment 4 Oliver Brinzing 2013-07-28 08:33:05 UTC
.
Comment 5 Ariel Constenla-Haile 2013-07-28 11:04:00 UTC
Regression + crash
Comment 6 Oliver-Rainer Wittmann 2013-08-01 12:19:50 UTC
I am volunteering to have a look
Comment 7 Oliver-Rainer Wittmann 2013-08-12 15:00:37 UTC
crash introduced by changes for bug 121125
Comment 8 Oliver-Rainer Wittmann 2013-08-16 09:44:33 UTC
fix is in progress
Comment 9 jsc 2013-08-19 14:47:14 UTC
approve showstopper request
Comment 10 SVN Robot 2013-08-20 09:10:22 UTC
"orw" committed SVN revision 1515749 into trunk:
122868: PDF export - assure that rendering data are cleaned up by calling cor...
Comment 11 Oliver-Rainer Wittmann 2013-08-20 10:11:48 UTC
Further fix needed for the combined scenario of this bug and bug 121125:
- Export To PDF in Page Preview selecting invalid values for 'Pages'

Fix is in progress
Comment 12 SVN Robot 2013-08-20 10:35:02 UTC
"orw" committed SVN revision 1515762 into trunk:
122868: PDF export - assure clean up of further data needed for PDF export in...
Comment 13 SVN Robot 2013-08-20 10:57:22 UTC
"orw" committed SVN revision 1515772 into branches/AOO401:
122868: PDF export - assure that rendering data are cleaned up by calling cor...
Comment 14 Oliver-Rainer Wittmann 2013-08-20 11:00:21 UTC
fixed on trunk and AOO401 branch

IMPORTANT NOTE for verification:
The changes touches printing and PDF export in Writer. Thus, these areas need to be checked for regressions.
Comment 15 Oliver-Rainer Wittmann 2013-08-22 07:03:25 UTC
At least I had access to a Mac OS build from current AOO401 branch.
Unfortunately, PDF export in Page Preview is still crashing on Mac OS.
-> reopening this issue
Comment 16 Oliver-Rainer Wittmann 2013-08-22 11:55:57 UTC
(In reply to Oliver-Rainer Wittmann from comment #15)
> At least I had access to a Mac OS build from current AOO401 branch.
> Unfortunately, PDF export in Page Preview is still crashing on Mac OS.
> -> reopening this issue

I am sorry.
The Mac OS build I had access to did not include the fix. A newer one had it and the crash is not observed anymore.
--> back to FIXED
Comment 17 Kay 2013-09-01 22:25:03 UTC
Looks good in linux-32 Rev. 1518670. I stayed in the print preview, did an export from there, saved as pdf, and verified pdf using Okular for open. All good.
Comment 18 fanyuzhen 2013-09-05 12:27:46 UTC
It's verified fixed in build AOO401m2(Build:9711)  -  Rev. 1518667, under Win7
Comment 19 Rainer Bielefeld 2013-10-11 05:15:19 UTC
VERIFIED with  "AOO 4.1.0-Dev – English  UI / German locale - [AOO410m1(Build:9750)  -  Rev. 1530680 - 2013-10-11]" on German WIN7 Home
Premium (64bit)", own separate user profile (please see "Bug 123444 - CRASH when choosing "Selection" radio button on "Print" dialog" #c8